Subject: bug#58513: describe-function should say that defconst variables are constant

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Oct 2022 14:23:51 +0200

Stefan Kangas <[email-masked]> writes:

> Evaluate this:
>
>    (prog1 (defconst foo "bar" "help") (describe-variable 'foo))
>
> How about adding a note to the help page of variables declared with
> defconst saying that they are constants, or something to that effect?

I don't think we know that it's supposed to be constant?  Or do we,
somehow?  I thought it was just syntactic sugar, saying what our
intentions for the variable is.

But it doesn't really...  do anything, so we'd have to start to keep
track of which variables are really "constants".  Which would then be
confusing, because you can change values to these as with any other
variable.